# $Revision: 1.18 $, $Date: 2010/07/09 11:21:29 $
#
# TODO:
#   - egg-info
%define 	module	ClientCookie
#
Summary:	Python module for handling HTTP cookies on the client side
Summary(pl.UTF-8):	Moduł Pythona obsługi ciasteczek HTTP (cookies) po stronie klienta
Name:		python-%{module}
Version:	1.3.0
Release:	4
License:	BSD/ZPL 2.1
Group:		Libraries/Python
Source0:	http://wwwsearch.sourceforge.net/ClientCookie/src/%{module}-%{version}.tar.gz
# Source0-md5:	7a43e4624299b3951ae1a442194d2185
URL:		http://wwwsearch.sourceforge.net/ClientCookie/
BuildRequires:	python
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ClientCookie is a Python module for handling HTTP cookies on the
client side, useful for accessing web sites that require cookies to be
set and then returned later. It also provides some other (optional)
useful stuff: HTTP-EQUIV and Refresh handling, automatic adding of the
Referer [sic] header and lazily-seek()able responses. These extras are
implemented using an extension that makes it easier to add new
functionality to urllib2. It has developed from a port of Gisle Aas'
Perl module HTTP::Cookies, from the libwww-perl library.

%description -l pl.UTF-8
ClientCookie jest modułem języka Python obsługującym ciasteczka HTTP
(cookies) po stronie klienta. Ułatwia dostęp do stron WWW wymagających
ustawienia oraz zwracania ciasteczek. Dodatkowo dostarcza inne
(opcjonalne) możliwości, takie jak: obsługa HTTP-EQUIV i Refresh,
automatyczne dodawanie nagłówka Referer i odpowiedzi przeszukiwane
z opóźnieniem. Dodatki te są zaimplementowane przy użyciu rozszerzenia,
ułatwiającego dodawanie nowych funkcji do urllib2. ClientCookie został
stworzony na podstawie modułu HTTP::Cookies dla Perla pochodzącego
z biblioteki libwww-perl.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean
install test/*.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING.txt ChangeLog.txt GeneralFAQ.html INSTALL.txt README.txt doc.html
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-ClientCookie.spec,v $
Revision 1.18  2010/07/09 11:21:29  arekm
- release 4

Revision 1.17  2010/07/08 08:03:52  arekm
- release 3

Revision 1.16  2008/10/03 17:47:19  arekm
- release 2

Revision 1.15  2007-04-17 08:57:55  qboosh
- unified

Revision 1.14  2007/04/17 08:51:12  beorn
- up to 1.3.0
- pl fixes
- License fix
- Group change
- py_postclean macro

Revision 1.13  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.11  2005/02/28 10:04:27  czucz
- updated to 1.0.3

Revision 1.10  2004/12/23 21:35:33  saq
- fixed {build,}reqs
- release 2 for rebuild with python 2.4

Revision 1.9  2004/06/04 19:32:56  jpc
- new version 0.9.4a

Revision 1.8  2004/05/26 21:15:21  ankry
- capitalization, tabs, other cosmetics

Revision 1.7  2004/02/22 18:03:04  qboosh
- shorter summaries ("package providing" is obvious)
- dropped README.txt (just lynx-rendered copy of README.html)

Revision 1.6  2004/02/15 18:32:03  ankry
- spaces -> tab

Revision 1.5  2004/02/15 10:43:02  adamg
- fixes from Jakub Piotr Clapa <loc(at)toya.net.pl>

Revision 1.4  2004/02/15 01:13:46  ankry
- cosmetics

Revision 1.3  2004/02/14 23:02:15  undefine
- BA: noarch

Revision 1.2  2004/02/14 23:00:52  undefine
- remove obsolete including /usr/lib/rpm/macros.python
- don't use scriptdir - sitescriptdir is enough.. i think ;)
- md5sum
- release 1

Revision 1.1  2004/02/14 22:39:40  undefine
- initial version by Jakub Piotr Cłapa <loc@toya.net.pl>
